<?php
// Google Remarketing
// Dynamic Remarketing tracking code
// For Zen-Cart 1.50
// Author: Stef van Dijk - vandijkstef.nl

// This module is delivered as is, without any warranty
// Feel free to use and edit this module
// Licenced: GPL - http://www.gnu.org/licenses/licenses.html#GPL

// Set some vars to work with
	
	// Product_id --> Array to push all id's in case of shopping cart
	$ecomm_prodid = array();
	// Possible pages: home, searchresults, category, product, cart, purchase, other. Default = other
	$ecomm_pagetype = "other";
	// Var to save value
	$ecomm_totalvalue = 0;
	// Google conversion ID
	$ga_conversion_id = 123456789;

// Process and fill the var's with the correct data
	// Fetch all product-id's needed
	// Get the product id if you are on the product page
	if (isset($products_id)) {
		array_push($ecomm_prodid, $products_id);
	}
	// Add the cart's items to the array
	if ($current_page_base === shopping_cart) {
		$products = $_SESSION['cart']->get_products();
		for ($i=0, $n=sizeof($products); $i<$n; $i++) {
			$split_char = ":";
			$position = strpos($products[$i]['id'], $split_char);
			$cleanID = substr($products[$i]['id'], 0, $position);
			array_push($ecomm_prodid, $cleanID);
	   	}
	}
	// Fetch the ordered products (from checkout_success.php)
	if ($current_page_base === checkout_success) {
		$ecomm_prodid = $ordered_prodid;
	}

	// Translate the array to a JSON readable format
	$jsecomm_prodid = json_encode($ecomm_prodid);

	// Set the pagetype to specific page, otherwise "other" will be pushed
	if ($this_is_home_page) {
		$ecomm_pagetype = "home";
	} elseif ($current_page_base === advanced_search || $current_page_base === advanced_search_result) {
		$ecomm_pagetype = "searchresults";
	} elseif ($current_page_base === index && $this_is_home_page == false) {
		$ecomm_pagetype = "category";
	} elseif ($current_page_base === product_info) {
		$ecomm_pagetype = "product";
	} elseif ($current_page_base === shopping_cart) {
		$ecomm_pagetype = "cart";
	} elseif ($current_page_base === checkout_success) {
		$ecomm_pagetype = "purchase";
	}

	// Get the total value - Value stays empty if page is not product or cart/payment
	if ($ecomm_pagetype == "cart" || $ecomm_pagetype == "purchase"){
		// Total amount of cart
		$ecomm_totalvalue = $_SESSION['cart']->show_total();
	} elseif ($ecomm_pagetype == "product") {
		// Product value
		$product_price = zen_get_products_display_price((int)$_GET['products_id']);
		$product_cleanprice = str_replace("&euro;&nbsp;", "", $product_price);
		$ecomm_totalvalue = $product_cleanprice;
	}

	// Clean var's if empty
	if ($ecomm_prodid[0] <= 0){
		$jsecomm_prodid = "\"\"";
	}
	if ($ecomm_totalvalue == 0){
		$ecomm_totalvalue = "\"\"";
	}
	 

// Variable block for Remarketing tag
	echo "<script type=\"text/javascript\">
	var google_tag_params = {
	ecomm_prodid: " . $jsecomm_prodid . ",
	ecomm_pagetype: \"" . $ecomm_pagetype . "\",
	ecomm_totalvalue: " . $ecomm_totalvalue . "
	};
	</script>";

// Remarketing Tag
	echo " <script type=\"text/javascript\">
	/* <![CDATA[ */
	var google_conversion_id = " . $ga_conversion_id . ";
	var google_custom_params = window.google_tag_params;
	var google_remarketing_only = true;
	/* ]]> */
	</script>
	<script type=\"text/javascript\" src=\"//www.googleadservices.com/pagead/conversion.js\">
	</script>
	<noscript>
	 <div style=\"display:inline;\">
	<img height=\"1\" width=\"1\" style=\"border-style:none;\" alt=\"\" src=\"//googleads.g.doubleclick.net/pagead/viewthroughconversion/" . $ga_conversion_id . "/?value=0&amp;guid=ON&amp;script=0\"/>
	</div>
	</noscript>"
?>